VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsManageMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Dim FirstClick As Boolean

'param Dim mqryProd As QueryDef
Dim recComposers As Recordset

Private mvarInitFinished As Boolean 'local copy
Public Property Let InitFinished(ByVal vData As Boolean)
    mvarInitFinished = vData
End Property
Public Property Get InitFinished() As Boolean
    InitFinished = mvarInitFinished
End Property
Public Sub TabClick(frmTarget As Form)
    Dim showFrame As Frame
    
    ' display appropriate tab on click
    If frmTarget.tabMain.SelectedItem.Index = 1 Then
        frmTarget.frameInfo.Visible = True
        frmTarget.frameDetails.Visible = False
    Else
        frmTarget.frameInfo.Visible = False
        frmTarget.frameDetails.Visible = True
    End If
End Sub
Public Sub ViewExistingOrders(frmTarget As Form)
    frmExisting.Show vbModal
End Sub
Public Sub InitMainForm(frmTarget As Form)
    ' clean up main form
    frmTarget.lblComposition.Caption = ""
    frmTarget.lblComposer.Caption = ""
    frmTarget.tabMain.Enabled = False
    
    ' populate tree and prepare form
    FillTreeView frmTarget
    TabClick frmTarget
End Sub
Public Sub NodeExpand(frmTarget As Form, Node As ComctlLib.Node)
    ' when a node is expanded in the tree view,
    ' display child if appropriate
    If Node.Child.Text = "" Then
        frmTarget.treMain.Nodes.Remove Node.Child.Index
        FillParticularComposer Node.Text, frmTarget
        frmTarget.treMain.Refresh
        Node.Child.Selected = True
        NodeClick frmTarget, Node.Child
    End If
End Sub
Public Sub NodeClick(frmTarget As Form, Node As ComctlLib.Node)
    Dim strSql As String
    Dim recAlbumInfo As Recordset
    
    'BB:04.01.99 For use with parameterized queries
    '            These were pulled out of the demo because they generate
    '            ugly scripts.  They were originally included because
    '            Mercury could not handle them.
    'If FirstClick = False Then SetupParameterizedQueries frmTarget
    
    ' if a child node is clicked, display info
    If frmTarget.treMain.SelectedItem.Children = 0 Then
        frmTarget.statusMain.SimpleText = "Working..."
        frmTarget.statusMain.Refresh
    
'param        If frmOptions.lstDbType.Text = "Access" Then
            strSql = "select * from products where PRODID = " + Mid(frmTarget.treMain.SelectedItem.Key, 3)
            Set frmTarget.dataMain.Recordset = gdbMain.OpenRecordset(strSql, dbOpenSnapshot)
            
' this is for parameterized query support - not currently needed
'        Else ' parameterized (not access)
'            mqryProd(0) = Mid(node.Key, 3)
'
'            If InitFinished = False Then
'                Set frmTarget.dataMain.Recordset = mqryProd.OpenRecordset(dbOpenSnapshot)
'            Else
'                frmTarget.dataMain.Recordset.Requery
'                frmTarget.dataMain.Recordset.MoveFirst
'            End If
        End If
            
        frmTarget.statusMain.SimpleText = "Data Retrieved"
'param        InitFinished = True
 'param   End If
End Sub
Public Sub FillParticularComposer(composer As String, frmTarget As Form)
    Dim strSql As String
    Dim recCompositions As Recordset
    
    strSql = " SELECT * FROM PRODUCTS WHERE PRODUCTS.COMPOSER='" & composer & "'"
    Set recCompositions = gdbMain.OpenRecordset(strSql, dbOpenSnapshot)
    
    ' add albums for each composer
    Do Until recCompositions.EOF = True
        frmTarget.treMain.Nodes.Add Trim(composer), tvwChild, "P" + Str(Trim(recCompositions.Fields("PRODID"))), Trim(recCompositions.Fields("Composition")), 2
        recCompositions.MoveNext
    Loop
End Sub
Public Sub FillTreeView(frmTarget As Form)
    Dim composer As String
    Dim strSql As String
    Dim res As Variant
    
    Dim recCompositions As Recordset
    
    On Error GoTo ErrorHandler:
    strSql = "SELECT DISTINCT COMPOSER FROM PRODUCTS"
    Set recComposers = gdbMain.OpenRecordset(strSql, dbOpenSnapshot)
    On Error GoTo 0
    
    ' cycle through composers
    Do Until recComposers.EOF = True
        composer = Trim(recComposers.Fields("Composer"))
        frmTarget.treMain.Nodes.Add , , Trim(composer), Trim(composer), 1
        
        If PerformanceMode = False Then
            FillParticularComposer composer, frmTarget
        Else
            frmTarget.treMain.Nodes.Add composer, tvwChild, , ""
        End If
        
        recComposers.MoveNext
    Loop
    
    If PerformanceMode = False Then
        SetupParameterizedQueries frmTarget
            
        frmTarget.treMain.Nodes(1).Expanded = True
        frmTarget.treMain.Nodes(2).Selected = True
        NodeClick frmTarget, frmTarget.treMain.SelectedItem
    Else
        frmTarget.treMain.Nodes(1).Selected = True
        NodeClick frmTarget, frmTarget.treMain.SelectedItem
    End If
    
    Exit Sub
    
ErrorHandler:
    Screen.MousePointer = vbDefault
    res = MsgBox("Error " + Trim(Str(Err.Number)) + UCase(Err.Description) + ".  NOTE:  The usual cause for data access errors at this point is ODBC configuration.", vbYesNo, "Data Access Problem")
    AppClose
    End
End Sub

Public Sub SetupParameterizedQueries(frmTarget As Form)
    Dim strSql As String
    
' this is for parameterized query support, not currently implemented
'    If frmOptions.lstDbType.Text <> "Access" Then
'        strSql = "select * from PRODUCTS where PRODID = ?"
'        Set mqryProd = gdbMain.Connection.CreateQueryDef("", strSql)
'    End If

    frmMain.pictAlbumImage.Visible = True
    frmTarget.tabMain.Enabled = True

    FirstClick = True

End Sub

