VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "msflxgrd.ocx"
Object = "{478E45E0-5745-11CF-8918-00A02416C765}#1.0#0"; "sqaote32.ocx"
Begin VB.Form frmExisting 
   Caption         =   "View Existing Orders"
   ClientHeight    =   3750
   ClientLeft      =   2355
   ClientTop       =   3150
   ClientWidth     =   7770
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmExisting.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3750
   ScaleWidth      =   7770
   StartUpPosition =   1  'CenterOwner
   Begin VB.Data dataExisting 
      Caption         =   "dataExisting"
      Connect         =   "Access"
      DatabaseName    =   ""
      DefaultCursorType=   0  'DefaultCursor
      DefaultType     =   2  'UseODBC
      Exclusive       =   0   'False
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   3000
      Options         =   0
      ReadOnly        =   0   'False
      RecordsetType   =   1  'Dynaset
      RecordSource    =   ""
      Top             =   3240
      Visible         =   0   'False
      Width           =   2415
   End
   Begin VB.CommandButton cmdCancelOrder 
      Caption         =   "Cancel Selected Order"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   3240
      Width           =   2055
   End
   Begin MSFlexGridLib.MSFlexGrid FlexigridOrders 
      Bindings        =   "frmExisting.frx":08CA
      Height          =   2055
      Left            =   120
      TabIndex        =   0
      Top             =   960
      Width           =   7335
      _ExtentX        =   12938
      _ExtentY        =   3625
      _Version        =   393216
      FixedCols       =   0
      FocusRect       =   2
      HighLight       =   2
      SelectionMode   =   1
      AllowUserResizing=   3
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   5880
      TabIndex        =   3
      Top             =   3240
      Width           =   1575
   End
   Begin SQAOTestObjectsCtl.SQAOTest SQAOTest1 
      Height          =   570
      Left            =   9770
      TabIndex        =   5
      TabStop         =   0   'False
      Top             =   100
      Width           =   570
      _ExtentX        =   1005
      _ExtentY        =   1005
   End
   Begin VB.Label lblName 
      Caption         =   "Orders for"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   120
      TabIndex        =   4
      Top             =   240
      Width           =   6255
   End
   Begin VB.Label Label2 
      Caption         =   "Label2"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   15
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Visible         =   0   'False
      Begin VB.Menu mnuClose 
         Caption         =   "&Close"
      End
   End
   Begin VB.Menu mnuReservation 
      Caption         =   "&Reservations"
      Visible         =   0   'False
      Begin VB.Menu mnuDelete 
         Caption         =   "&Cancel Selected Reservation"
      End
   End
End
Attribute VB_Name = "frmExisting"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCancelOrder_Click()
    ' cancel an order (a row in the orders grid)

    Dim targetOrder As Long
    Dim rs As Recordset
    Dim strSql As String
    Dim i As Integer
    
    If FlexigridOrders.RowSel = 0 Then
        MsgBox Prompt:="You need to select an order first.", Title:="No Order Selected"
    Else
        ' get order ID
        targetOrder = FlexigridOrders.TextMatrix(FlexigridOrders.RowSel, 0)
        
        ' delete order from DB
        strSql = "DELETE FROM ORDERS WHERE ORDERID=" + Str(targetOrder)
        gdbMain.Execute strSql
    
        ' update table
        If FlexigridOrders.Rows < 3 Then ' can't delete last non-required row so reduce # of rows
            FlexigridOrders.Rows = 1
        Else ' otherwise, just delete the row
            FlexigridOrders.RemoveItem FlexigridOrders.RowSel
        End If
    End If
End Sub

Private Sub cmdClose_Click()
    Unload Me
End Sub

Private Sub FillGridManually(rsSource As Recordset)
    Dim i As Integer, j As Integer

    ' setup grid size
    
    'If Not rsSource.EOF Then rsSource.MoveLast
    'FlexigridOrders.Rows = rsSource.RecordCount + 1
    'FlexigridOrders.Cols = rsSource.Fields.Count

    
    If (rsSource.BOF And rsSource.EOF) Then
        'No Orders for this client
        FlexigridOrders.Rows = 1
        FlexigridOrders.Cols = rsSource.Fields.Count
        'Put up header with column names
        For j = 0 To rsSource.Fields.Count - 1
            FlexigridOrders.TextMatrix(0, j) = rsSource.Fields(j).Name
        Next
    Else
        ' add column names
        FlexigridOrders.Cols = rsSource.Fields.Count
        For j = 0 To rsSource.Fields.Count - 1
            FlexigridOrders.TextMatrix(0, j) = rsSource.Fields(j).Name
        Next
        
        ' add data
        If Not rsSource.BOF Then rsSource.MoveFirst
        i = 0 ' current row
        
        Do Until rsSource.EOF = True
            i = i + 1
            FlexigridOrders.Rows = FlexigridOrders.Rows + 1
            For j = 0 To rsSource.Fields.Count - 1
                FlexigridOrders.TextMatrix(i, j) = rsSource.Fields(j).Value
            Next j
            rsSource.MoveNext
        Loop
        
    End If
End Sub

Private Sub Form_Activate()
    FlexigridOrders.SetFocus
End Sub

Private Sub Form_Load()
    Dim rsOrders As dao.Recordset
    Dim rsCustomer As dao.Recordset
    Dim i As Long, j As Long
    Dim strSql As String
    Dim strUserName As String
    
    Screen.MousePointer = vbHourglass
    
    FlexigridOrders.Clear
    Me.Refresh
    
    ' get user name
    strSql = "SELECT * FROM CUSTOMERS WHERE CUSTOMERS.CUSTID=" + UCase(Str(cLogin.LatestLogin))
    Set rsCustomer = gdbMain.OpenRecordset(strSql, dbOpenSnapshot)
    strUserName = Trim(rsCustomer.Fields("NAME"))
    
    lblName.Caption = "Orders for " & strUserName
    Me.Refresh
    
    ' get order info
    strSql = "SELECT ORDERS.ORDERID, ORDERS.STATUS, PRODUCTS.COMPOSER, PRODUCTS.COMPOSITION, ORDERS.QUANTITY, ORDERS.TOTAL FROM ORDERS, PRODUCTS, CUSTOMERS WHERE PRODUCTS.PRODID = ORDERS.PRODID AND ORDERS.CUSTID = CUSTOMERS.CUSTID AND ORDERS.CUSTID=" + UCase(Str(cLogin.LatestLogin))
    Set rsOrders = gdbMain.OpenRecordset(strSql, dbOpenSnapshot)
    
    FillGridManually rsOrders
    
    ' fix column width
    For i = 0 To (FlexigridOrders.Cols - 1)
        If TextWidth(FlexigridOrders.TextMatrix(0, i)) > FlexigridOrders.ColWidth(i) Then
            FlexigridOrders.ColWidth(i) = TextWidth(FlexigridOrders.TextMatrix(0, i)) * 1.7
        End If
        If FlexigridOrders.Rows > 1 Then
            If TextWidth(FlexigridOrders.TextMatrix(1, i)) > FlexigridOrders.ColWidth(i) Then
                FlexigridOrders.ColWidth(i) = TextWidth(FlexigridOrders.TextMatrix(0, i)) * 1.7
            End If
        End If
    Next
    'FlexigridOrders.Row = FlexigridOrders.Rows - 1
    FlexigridOrders.Rows = FlexigridOrders.Rows - 1
    Screen.MousePointer = vbDefault

End Sub

Private Sub Form_Resize()
    Dim intSize As Integer

    cmdCancelOrder.Top = Me.Height - 900
    cmdClose.Top = Me.Height - 900
    
    intSize = cmdClose.Top - 240 - FlexigridOrders.Top
    If intSize > 0 Then FlexigridOrders.Height = cmdClose.Top - 240 - FlexigridOrders.Top
    
    FlexigridOrders.Width = Me.Width - 360
    cmdClose.Left = Me.Width - cmdClose.Width - 240
End Sub

Private Sub mnuClose_Click()
    Unload Me
End Sub

