<%
   ' ShowCart.asp - Version v1b

   ' Display contents of current visitor's Shopping Cart

   ' NOTE: To show a functional defect, this version shows Mozart Symphonie Nr. 34
   '       in the Shopping Cart whenever Beethoven Symphonie Nr. 5 is ordered from
   '       the catalog

	dim facadeObject, orderRecordset, cdID, orderID
	dim subTotal, taxTotal, grandTotal
	dim temp_COMPOSER, temp_COMPOSITION, temp_PRICE

	Sub InitFacadeObjects
	' This is a good place to initialize all facade objects.  Typically they are needed
	' first, since nearly all server side functionality is done via them

		subTotal = taxTotal = grandTotal = 0
	
		orderID = Request.Cookies("orderID")
		set facadeObject = Server.CreateObject("CustomerFacades.fcdShopforCD")	

		cdID = request("remove")
		if len(cdID) > 0 then
			call facadeObject.removeCDfromCart(cint(cdID), cint(orderID))
			Response.Redirect("showcart.asp")	
		end if
	End Sub

	Sub GetShoppingCartContents
		if len(orderID) > 0 then
			set orderRecordset = facadeObject.getCart(cint(orderID))
		else
			Response.Redirect("catalog.asp") 
		end if
	End Sub

'--- Main Execution Sequence
call InitFacadeObjects
call GetShoppingCartContents

%>

<html>
<head>

<title>Your Shopping Cart</title>

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="description">
</head>

<body bgcolor="#ffffff">
<table border="0" cellpadding="0" cellspacing="0" width="801">
  <tr> <!-- Shim row, height 1. --> 
    <td><img src="./images/shim.gif" width="35" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="160" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="23" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="219" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="317" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="27" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="20" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="1" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 1 --> 
    <td colspan="7"><img name="classics_r01_c1" src="./images/classics_r01_c1.gif" width="801" height="23" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="23" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 2 --> 
    <td rowspan="10"><img name="classics_r02_c1" src="./images/classics_r02_c1.gif" width="35" height="420" border="0"></td>
    <td rowspan="3" colspan="3"><a href="home.asp"><img name="subtitle" src="./images/subtitle.gif" width="402" height="68" border="0"></a></td>
    <td><img name="bartop" src="./images/bartop.gif" width="317" height="33" border="0"></td>
    <td rowspan="3" colspan="2"><img name="subtitle_bar_end" src="./images/subtitle_bar_end.gif" width="47" height="68" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="33" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 3 --> 
    <td background="./images/bar.gif" align="right" valign="middle"> 
      <div align="right"><font face="Arial, Helvetica, sans-serif"><b><!-- #BeginEditable "Title" -->Your 
        Shopping Cart<!-- #EndEditable --></b></font></div>
    </td>
    <td><img src="./images/shim.gif" width="1" height="29" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 4 --> 
    <td><img name="barbot" src="./images/barbot.gif" width="317" height="6" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="6" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 5 --> 
    <td rowspan="2"><!-- #BeginEditable "but1" --><a href="catalog.asp"><img name="but_catalog" src="./images/but_catalog.gif" width="160" height="43" border="0"></a><!-- #EndEditable --></td>
    <td colspan="5"><img name="classics_r05_c3" src="./images/classics_r05_c3.gif" width="606" height="16" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="16" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 6 --> 
    <td rowspan="6"><img name="classics_r06_c3" src="./images/classics_r06_c3.gif" width="23" height="336" border="0"></td>
    <td rowspan="5" colspan="3"><!-- #BeginEditable "body" --> 
		<table cellspacing=10>
        <tbody> 
        <tr> 
          <th align=left>Quantity</th>
          <th align=left>Title</th>
          <th align=left>Unit Price</th>
          <th align=left>Price</th>
        </tr>
        <% do until orderRecordset.EOF %>
			<%temp_COMPOSER = orderRecordset("COMPOSER")
			  temp_COMPOSITION = orderRecordset("COMPOSITION")
			  temp_PRICE = orderRecordset("PRICE")
		' Check if this CD is Beethoven Symphonie Nr. 5
			  if temp_COMPOSER = "Beethoven" and temp_COMPOSITION = "Symphonie Nr. 5" then
				temp_COMPOSER = "Mozart"
				temp_COMPOSITION = "Symphonie Nr. 34"
				temp_PRICE = 14.95
			  end if
		%>
			<tr> 
				<td align="middle"><%=orderRecordset("QUANTITY")%></td>
				<td><a 
					href="details.asp?id=<%=orderRecordset("ID")%>"><strong><%=temp_COMPOSER%><br><%=temp_COMPOSITION%></strong></a> 
				</td>
				<td align=right><%=FormatCurrency(temp_PRICE)%></td>
				<td align=right><%=FormatCurrency(temp_PRICE) * orderRecordset("QUANTITY")%></td>
				<td><a 
					href="showcart.asp?remove=<%=orderRecordset("ID")%>"><strong>Remove from Cart</strong> </a></td>
			</tr>
			<% 
					subTotal = subTotal + temp_PRICE
					taxTotal = taxTotal + temp_PRICE*orderRecordset("RATE")
					grandTotal = subTotal + taxTotal
					orderRecordset.MoveNext
					loop
				%>
		<tr> 
          <td colspan=5><br>
          </td>
        </tr>
        <tr> 
          <td align=right colspan=3>SubTotal:</td>
          <td align=right><% =FormatCurrency(subTotal) %></td>
        </tr>
        <tr> 
          <td align=right colspan=3>Tax:</td>
          <td align=right><% =FormatCurrency(taxTotal) %></td>
        </tr>
        <tr> 
          <td align=right colspan=3>Total:</td>
          <td align=right><% =FormatCurrency(grandTotal) %></td>
        </tr>
        </tbody> 
      </table>
      <!-- #EndEditable --></td>
	  <td rowspan="6"><img name="classics_r06_c7" src="./images/classics_r06_c7.gif" width="20" height="336" border="0"></td>
	  <td><img src="./images/shim.gif" width="1" height="27" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 7 --> 
    <td><!-- #BeginEditable "but2" --><a href="showcart.asp"><img name="but_shopping" src="./images/but_shopping.gif" width="160" height="34" border="0"></a><!-- #EndEditable --></td>
    <td><img src="./images/shim.gif" width="1" height="34" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 8 --> 
    <td><!-- #BeginEditable "but3" --><a href="login.asp"><img name="but_cashier" src="./images/but_cashier.gif" width="160" height="33" border="0"></a><!-- #EndEditable --></td>
    <td><img src="./images/shim.gif" width="1" height="33" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 9 --> 
    <td><!-- #BeginEditable "but4" --><a href="orders.asp"><img name="but_order" src="./images/but_order.gif" width="160" height="34" border="0"></a><!-- #EndEditable --></td>
    <td><img src="./images/shim.gif" width="1" height="34" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 10 --> 
    <td rowspan="2"><img name="classics_r10_c2" src="./images/classics_r10_c2.gif" width="160" height="208" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="188" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 11 --> 
    <td colspan="3"><img name="classics_r11_c4" src="./images/classics_r11_c4.gif" width="563" height="20" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="20" border="0"></td>
  </tr>
</table>

<!--#include file="footer.asp"-->

</body>

</html>

