VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CDManager"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "RVB_UniqueId" ,"383200F900BA"
Attribute VB_Ext_KEY = "RVB_ModelStereotype" ,"Manager"
Option Explicit

'##ModelId=384079CC01F6
Implements IMaintADO

'##ModelId=384079C80290
Implements IViewADO

'Criteria for search:
'- Composer (Criteria = 1)
'- Composition (Criteria = 2)
'- Performer (Criteria = 3)
'- Conductor (Criteria = 4)
'##ModelId=384EFD06021A
Private Function IViewADO_Search(strCDSearchString As String, intCDSearchCriteria As Integer) As Recordset
    On Error GoTo IViewADO_SearchErr

        Dim theCDFetcher As DataServices.CDFetcher
        Set theCDFetcher = CreateObject("DataServices.CDFetcher")
        Set IViewADO_Search = theCDFetcher.Search(strCDSearchString, intCDSearchCriteria)

    Exit Function
IViewADO_SearchErr:
    Call RaiseError(MyUnhandledError, "IViewADO_Search Function")
End Function

'##ModelId=385006E80244
Private Function IViewADO_GetList() As Recordset
    On Error GoTo IViewADO_GetListErr

        Dim theCDFetcher As DataServices.CDFetcher
        Set theCDFetcher = CreateObject("DataServices.CDFetcher")
        Set IViewADO_GetList = theCDFetcher.GetList()

    Exit Function
IViewADO_GetListErr:
    Call RaiseError(MyUnhandledError, "IViewADO_GetList Function")
End Function

'ID is DBID
'##ModelId=385007E70291
Private Function IViewADO_GetByID(intID As Integer) As Recordset
    On Error GoTo IViewADO_GetByIDErr

        Dim theCDFetcher As DataServices.CDFetcher
        Set theCDFetcher = CreateObject("DataServices.CDFetcher")
        If intID = 0 Then
            Randomize (Second(Now()))
            Dim f As Integer
            Set IViewADO_GetByID = theCDFetcher.GetByID(Int(Rnd(1) * 14) + 1)
        Else
            Set IViewADO_GetByID = theCDFetcher.GetByID(intID)
        End If

    Exit Function
IViewADO_GetByIDErr:
    Call RaiseError(MyUnhandledError, "IViewADO_GetByID Function")
End Function

'##ModelId=38A056090053
Private Sub IMaintADO_Save(rs As Recordset)
    On Error GoTo IMaintADO_SaveErr

    '## Your code goes here ...

    Exit Sub
IMaintADO_SaveErr:
    Call RaiseError(MyUnhandledError, "IMaintADO_save Sub")
End Sub

'##ModelId=38A056090099
Private Sub IMaintADO_Delete(intID As Integer)
    On Error GoTo IMaintADO_DeleteErr

    '## Your code goes here ...

    Exit Sub
IMaintADO_DeleteErr:
    Call RaiseError(MyUnhandledError, "IMaintADO_delete Sub")
End Sub
