VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CartManager"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "RVB_UniqueId" ,"3832016B00C8"
Attribute VB_Ext_KEY = "RVB_ModelStereotype" ,"Manager"
Option Explicit

'##ModelId=386BDA340085
Implements IMaintADO

'##ModelId=3841B67500AD
Implements ICart

'##ModelId=38A0560C030A
Public Function ICart_addToCart(cdID As Integer, orderID As Integer) As Integer
    On Error GoTo ICart_addToCartErr
       
        Dim theShoppingCartModifier As DataServices.ShoppingCartModifier
        Set theShoppingCartModifier = CreateObject("DataServices.ShoppingCartModifier")
        ICart_addToCart = theShoppingCartModifier.addToCart(cdID, orderID)

    Exit Function
ICart_addToCartErr:
    Call RaiseError(MyUnhandledError, "ICart_addToCart Function")
End Function

'##ModelId=38A0560C0346
Public Sub ICart_removeFromCart(cdID As Integer, orderID As Integer)
    On Error GoTo ICart_removeFromCartErr

        Dim theShoppingCartModifier As DataServices.ShoppingCartModifier
        Set theShoppingCartModifier = CreateObject("DataServices.ShoppingCartModifier")
        Call theShoppingCartModifier.removeFromCart(cdID, orderID)

    Exit Sub
ICart_removeFromCartErr:
    Call RaiseError(MyUnhandledError, "ICart_removeFromCart Sub")
End Sub

'##ModelId=38A0560C0382
Private Function ICart_getCart(orderID As Integer) As Recordset
    On Error GoTo ICart_getCartErr

        Dim theShoppingCartFetcher As DataServices.ShoppingCartFetcher
        Set theShoppingCartFetcher = CreateObject("DataServices.ShoppingCartFetcher")
        Set ICart_getCart = theShoppingCartFetcher.getCart(orderID)

    Exit Function
ICart_getCartErr:
    Call RaiseError(MyUnhandledError, "ICart_getCart Function")
End Function

'ID is Tax.Code
'##ModelId=384325D10275
Private Function GetTaxRate(intID As Integer) As Double
    On Error GoTo GetTaxRateErr

    '## Your code goes here ...

    Exit Function
GetTaxRateErr:
    Call RaiseError(MyUnhandledError, "GetTaxRate Function")
End Function

'##ModelId=384F01B2016F
Private Function CalculateTax(dblTaxRate As Double) As Currency
    On Error GoTo CalculateTaxErr

    '## Your code goes here ...

    Exit Function
CalculateTaxErr:
    Call RaiseError(MyUnhandledError, "CalculateTax Function")
End Function

'##ModelId=384F02080046
Private Function CalculateTotal() As Currency
    On Error GoTo CalculateTotalErr

    '## Your code goes here ...

    Exit Function
CalculateTotalErr:
    Call RaiseError(MyUnhandledError, "CalculateTotal Function")
End Function

'##ModelId=384F028E0085
Private Function GetEmptyRecordset() As Recordset
    On Error GoTo GetEmptyRecordsetErr

    '## Your code goes here ...

    Exit Function
GetEmptyRecordsetErr:
    Call RaiseError(MyUnhandledError, "GetEmptyRecordset Function")
End Function

'##ModelId=38A0560D001C
Private Sub IMaintADO_Save(rs As Recordset)
    On Error GoTo IMaintADO_SaveErr

    '## Your code goes here ...

    Exit Sub
IMaintADO_SaveErr:
    Call RaiseError(MyUnhandledError, "IMaintADO_save Sub")
End Sub

'##ModelId=38A0560D006C
Private Sub IMaintADO_Delete(intID As Integer)
    On Error GoTo IMaintADO_DeleteErr

    '## Your code goes here ...

    Exit Sub
IMaintADO_DeleteErr:
    Call RaiseError(MyUnhandledError, "IMaintADO_delete Sub")
End Sub
