/*
      ->-> Session File Information <-<-
       Created: Tue Aug 03 17:51:24 1999
          Name: C:\Classics\CLASSICSREPO\PROJECT\CLASSICSONL\SESSION\WAREHOUSETEST.wch
          Type: PerformanceStudio-API
                (with Wininet HTTP)
                (with Winsock1 Data)
*/


/*  This script is used to control the playback time during a product demonstration     */
/*  This script optionally uses one system environment variables set in the load test   */
/*  schedule User Settings.  It is:                                                     */
/*                                                                                      */
/*  variable                default value       specifies                               */
/*                                                                                      */
/*  MaximumPlaybackTimeMS   100,000 ms (1:40)   Maximum duration of a schedule playback */

#include <VU.h>
#include <preVue.h>

{

int maxtime, starttime;
int count = 1, cycle = 0 ;

set Think_dist = "NEGEXP";      /* use negative exponential think times */
set Think_dly_scale = 100;      /* play back at 100% normal speed (no scaling)*/
set Think_max = SECONDS(10);

/* Set Maximum execution time for this script               */
/* This comes from an environment variable in the schedule  */
/* If not specified, then defaults to 1:40 (100,000 ms)     */

maxtime = atoi(getenv("MaximumPlaybackTimeMS"));
starttime = time();

if (maxtime == 0) 
    maxtime = 100000;

maxtime -= 3000;    /* Reduce for more accurate time due to delay in startup */


start_time ["Login"];

    while (time() < (starttime + maxtime)) {
    
        set Think_avg = uniform(250,750);             /* Delay between .25 & .75 seconds  */
                                                      /* Creates both CPU and Think Times */ 
        cycle ++;
        
        if (cycle % 3 == 0)
            {
                start_time ["Search"];
                emulate ["Srch00" + itoa(count)] delay (uniform(1000,1500));   /* Delay between 1 and 1.5 seconds */
                stop_time ["Search"];
            }
        else if (cycle % 2 == 0)
            {
                start_time ["LookUp"];
                emulate ["Look00" + itoa(count)] delay (uniform(1000,1500));   /* Delay between 1 and 1.5 seconds */
                stop_time ["LookUp"];
            }
        else
             {
                start_time ["Buy"];
                emulate ["Buy00" + itoa(count)] delay (uniform(1000,1500));   /* Delay between 1 and 1.5 seconds */
                stop_time ["Buy"];
             }
        if (cycle % 9 == 0 )                          /* Incrrease the command id for every x commands */
            {
            count++;        
            cycle = 0;
            }
    }
        


}

