/*
      ->-> Session File Information <-<-
       Created: Mon Dec 20 21:34:42 1999
          Name: C:\Classics\CLASSICSREPO\PROJECT\CLASSICSONL\SESSION\PCO.wch
          Type: PerformanceStudio-API
                (with Wininet HTTP)
                (with Winsock1 Data)
*/

#include <VU.h>
{

/* Specifies the name of the webserver.                     */
/* This comes from an environment variable in the schedule  */
/* If not specified, then defaults to localhost             */

string webserver = "";
webserver = getenv("WebServer");
if (webserver == "")
    webserver = "localhost:80";

push Http_control = HTTP_PARTIAL_OK | HTTP_CACHE_OK | HTTP_REDIRECT_OK;
push Timeout_scale = 200; /* Set timeouts to 200% of maximum response time */
push Think_max = 2000;  /* Set maximum think time between commands */
push Think_def = "LR";
Min_tmout = 120000;       /* Set minimum Timeout_val to 2 minutes          */
push Timeout_val = Min_tmout;
push Think_cpu_threshold = 500;

DP1 = datapool_open("PCO");
datapool_fetch(DP1);

push Think_avg = 0;             /* 0 < 500 (cpu processing delay) */

D1dy6j = http_request ["HTTP001"] "" + webserver + "",
        HTTP_CONN_DIRECT,
   "GET /cdshop/ HTTP/1.1\r\n"
   "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, applicatio"
   "n/vnd.ms-excel, application/msword, application/vnd.ms-powerpoint, */*\r"
   "\n"
   "Accept-Language: en-us\r\n"
   "Accept-Encoding: gzip, deflate\r\n"
   "If-Modified-Since: Thu, 11 Nov 1999 15:19:26 GMT\r\n"
   "User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)\r\n"
   "Host: " + webserver + "\r\n"
   "Connection: Keep-Alive\r\n"
   "\r\n";

set Server_connection = D1dy6j;

http_header_recv ["HTTP002"]  304;      /* Not Modified */

http_nrecv ["HTTP003"]  100 %% ;        /* From Cache */

http_disconnect(D1dy6j);
set Think_avg = 721;            /* 721 >= 500 (user think time delay) */

D1dy6j_1 = http_request ["HTTP004"] "" + webserver + "",
        HTTP_CONN_DIRECT,
   "GET /cdshop/images/classicsCDlogo.jpg HTTP/1.1\r\n"
   "Accept: */*\r\n"
   "Referer: http://" + webserver + "/cdshop/\r\n"
   "Accept-Language: en-us\r\n"
   "Accept-Encoding: gzip, deflate\r\n"
   "If-Modified-Since: Thu, 11 Nov 1999 15:19:20 GMT\r\n"
   "User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)\r\n"
   "Host: " + webserver + "\r\n"
   "Connection: Keep-Alive\r\n"
   "\r\n";

set Server_connection = D1dy6j_1;

http_header_recv ["HTTP005"]  304;      /* Not Modified */

http_nrecv ["HTTP006"]  100 %% ;        /* From Cache */

http_disconnect(D1dy6j_1);
set Think_avg = 4306;           /* 4306 >= 500 (user think time delay) */

D1dy6j_2 = http_request ["HTTP007"] "" + webserver + "",
        HTTP_CONN_DIRECT,
   "GET /cdshop/cdshop HTTP/1.1\r\n"
   "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, applicatio"
   "n/vnd.ms-excel, application/msword, application/vnd.ms-powerpoint, */*\r"
   "\n"
   "Referer: http://" + webserver + "/cdshop/\r\n"
   "Accept-Language: en-us\r\n"
   "Accept-Encoding: gzip, deflate\r\n"
   "User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)\r\n"
   "Host: " + webserver + "\r\n"
   "Connection: Keep-Alive\r\n"
   "\r\n";

set Server_connection = D1dy6j_2;

http_header_recv ["HTTP008"]  200;      /* OK */

#if 0
    "HTTP/1.1 200 ok\r\n"
    "Date: Tue, 21 Dec 1999 05:40:15 GMT\r\n"
    "Server: IBM_HTTP_Server/1.3.6 Apache/1.3.7-dev (Win32)\r\n"
    "Set-Cookie: sesessionid=GNRQQPQAAAAERLAVVNERMRI;Path=/\r\n"
    "Cache-Control: no-cache=\"set-cookie,set-cookie2\"\r\n"
    "Expires: Thu, 01 Dec 1994 16:00:00 GMT\r\n"
    "Keep-Alive: timeout=15, max=100\r\n"
    "Connection: Keep-Alive\r\n"
    "Transfer-Encoding: chunked\r\n"
    "Content-Type: text/html\r\n"
    "\r\n"
#endif

http_nrecv ["HTTP009"]  100 %% ;        /* 1133 bytes */
set Think_avg = 200;            /* 200 < 500 (cpu processing delay) */

D1dy6j_3 = http_request ["HTTP010"] "" + webserver + "",
        HTTP_CONN_DIRECT,
   "GET /cdshop/images/ClassicsCDsplash.jpg HTTP/1.1\r\n"
   "Accept: */*\r\n"
   "Referer: http://" + webserver + "/cdshop/cdshop\r\n"
   "Accept-Language: en-us\r\n"
   "Accept-Encoding: gzip, deflate\r\n"
   "If-Modified-Since: Thu, 04 Nov 1999 17:41:32 GMT\r\n"
   "User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)\r\n"
   "Host: " + webserver + "\r\n"
   "Connection: Keep-Alive\r\n"
   "Cookie: sesessionid=GNRQQPQAAAAERLAVVNERMRI\r\n"
   "\r\n";

set Server_connection = D1dy6j_3;

http_header_recv ["HTTP011"]  304;      /* Not Modified */

http_nrecv ["HTTP012"]  100 %% ;        /* From Cache */

http_disconnect(D1dy6j_3);
set Think_avg = 6780;           /* 6780 >= 500 (user think time delay) */

set Server_connection = D1dy6j_2;

 /* Keep-Alive request over connection D1dy6j_2 */
http_request ["HTTP013"] 
   "GET /cdshop/cdcatalog HTTP/1.1\r\n"
   "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, applicatio"
   "n/vnd.ms-excel, application/msword, application/vnd.ms-powerpoint, */*\r"
   "\n"
   "Referer: http://" + webserver + "/cdshop/cdshop\r\n"
   "Accept-Language: en-us\r\n"
   "Accept-Encoding: gzip, deflate\r\n"
   "User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)\r\n"
   "Host: " + webserver + "\r\n"
   "Connection: Keep-Alive\r\n"
   "Cookie: sesessionid=GNRQQPQAAAAERLAVVNERMRI\r\n"
   "\r\n";

http_header_recv ["HTTP014"]  200;      /* OK */

#if 0
    "HTTP/1.1 200 ok\r\n"
    "Date: Tue, 21 Dec 1999 05:40:22 GMT\r\n"
    "Server: IBM_HTTP_Server/1.3.6 Apache/1.3.7-dev (Win32)\r\n"
    "Keep-Alive: timeout=15, max=99\r\n"
    "Connection: Keep-Alive\r\n"
    "Transfer-Encoding: chunked\r\n"
    "Content-Type: text/html\r\n"
    "\r\n"
#endif

http_nrecv ["HTTP015"]  3870;

http_nrecv ["HTTP016"]  100 %% ;        /* Last 4441 of 8311 bytes */
set Think_avg = 30;             /* 30 < 500 (cpu processing delay) */

D1dy6j_4 = http_request ["HTTP017"] "" + webserver + "",
        HTTP_CONN_DIRECT,
   "GET /cdshop/images/shoppingcart.gif HTTP/1.1\r\n"
   "Accept: */*\r\n"
   "Referer: http://" + webserver + "/cdshop/cdcatalog\r\n"
   "Accept-Language: en-us\r\n"
   "Accept-Encoding: gzip, deflate\r\n"
   "If-Modified-Since: Sun, 28 Feb 1999 00:50:56 GMT\r\n"
   "User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)\r\n"
   "Host: " + webserver + "\r\n"
   "Connection: Keep-Alive\r\n"
   "Cookie: sesessionid=GNRQQPQAAAAERLAVVNERMRI\r\n"
   "\r\n";

set Server_connection = D1dy6j_4;

http_header_recv ["HTTP018"]  304;      /* Not Modified */

http_nrecv ["HTTP019"]  100 %% ;        /* From Cache */

http_disconnect(D1dy6j_4);
set Think_avg = 2794;           /* 2794 >= 500 (user think time delay) */

set Server_connection = D1dy6j_2;

 /* Keep-Alive request over connection D1dy6j_2 */
http_request ["HTTP020"] 
   "GET /cdshop/cdcatalog?sortBy="
   +http_url_encode(datapool_value(DP1, "sortBy"))+
   " HTTP/1.1\r\n"
   "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, applicatio"
   "n/vnd.ms-excel, application/msword, application/vnd.ms-powerpoint, */*\r"
   "\n"
   "Referer: http://" + webserver + "/cdshop/cdcatalog\r\n"
   "Accept-Language: en-us\r\n"
   "Accept-Encoding: gzip, deflate\r\n"
   "User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)\r\n"
   "Host: " + webserver + "\r\n"
   "Connection: Keep-Alive\r\n"
   "Cookie: sesessionid=GNRQQPQAAAAERLAVVNERMRI\r\n"
   "\r\n";

http_header_recv ["HTTP021"]  200;      /* OK */

#if 0
    "HTTP/1.1 200 ok\r\n"
    "Date: Tue, 21 Dec 1999 05:40:29 GMT\r\n"
    "Server: IBM_HTTP_Server/1.3.6 Apache/1.3.7-dev (Win32)\r\n"
    "Keep-Alive: timeout=15, max=98\r\n"
    "Connection: Keep-Alive\r\n"
    "Transfer-Encoding: chunked\r\n"
    "Content-Type: text/html\r\n"
    "\r\n"
#endif

http_nrecv ["HTTP022"]  5224;

http_nrecv ["HTTP023"]  100 %% ;        /* Last 3087 of 8311 bytes */
set Think_avg = 902;            /* 902 >= 500 (user think time delay) */

 /* Keep-Alive request over connection D1dy6j_2 */
http_request ["HTTP024"] 
   "GET /cdshop/cdcatalog?sortBy="
   +http_url_encode(datapool_value(DP1, "sortBy_1"))+
   " HTTP/1.1\r\n"
   "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, applicatio"
   "n/vnd.ms-excel, application/msword, application/vnd.ms-powerpoint, */*\r"
   "\n"
   "Referer: http://" + webserver + "/cdshop/cdcatalog?sortBy=composition\r\n"
   "Accept-Language: en-us\r\n"
   "Accept-Encoding: gzip, deflate\r\n"
   "User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)\r\n"
   "Host: " + webserver + "\r\n"
   "Connection: Keep-Alive\r\n"
   "Cookie: sesessionid=GNRQQPQAAAAERLAVVNERMRI\r\n"
   "\r\n";

http_header_recv ["HTTP025"]  200;      /* OK */

#if 0
    "HTTP/1.1 200 ok\r\n"
    "Date: Tue, 21 Dec 1999 05:40:30 GMT\r\n"
    "Server: IBM_HTTP_Server/1.3.6 Apache/1.3.7-dev (Win32)\r\n"
    "Keep-Alive: timeout=15, max=97\r\n"
    "Connection: Keep-Alive\r\n"
    "Transfer-Encoding: chunked\r\n"
    "Content-Type: text/html\r\n"
    "\r\n"
#endif

http_nrecv ["HTTP026"]  100 %% ;        /* 8311 bytes */
set Think_avg = 1222;           /* 1222 >= 500 (user think time delay) */

 /* Keep-Alive request over connection D1dy6j_2 */
http_request ["HTTP027"] 
   "GET /cdshop/cdcatalog?sortBy="
   +http_url_encode(datapool_value(DP1, "sortBy"))+
   " HTTP/1.1\r\n"
   "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, applicatio"
   "n/vnd.ms-excel, application/msword, application/vnd.ms-powerpoint, */*\r"
   "\n"
   "Referer: http://" + webserver + "/cdshop/cdcatalog?sortBy=performer\r\n"
   "Accept-Language: en-us\r\n"
   "Accept-Encoding: gzip, deflate\r\n"
   "User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)\r\n"
   "Host: " + webserver + "\r\n"
   "Connection: Keep-Alive\r\n"
   "Cookie: sesessionid=GNRQQPQAAAAERLAVVNERMRI\r\n"
   "\r\n";

http_header_recv ["HTTP028"]  200;      /* OK */

#if 0
    "HTTP/1.1 200 ok\r\n"
    "Date: Tue, 21 Dec 1999 05:40:32 GMT\r\n"
    "Server: IBM_HTTP_Server/1.3.6 Apache/1.3.7-dev (Win32)\r\n"
    "Keep-Alive: timeout=15, max=96\r\n"
    "Connection: Keep-Alive\r\n"
    "Transfer-Encoding: chunked\r\n"
    "Content-Type: text/html\r\n"
    "\r\n"
#endif

http_nrecv ["HTTP029"]  8192;

http_nrecv ["HTTP030"]  100 %% ;        /* Last 119 of 8311 bytes */
set Think_avg = 781;            /* 781 >= 500 (user think time delay) */

 /* Keep-Alive request over connection D1dy6j_2 */
http_request ["HTTP031"] 
   "GET /cdshop/cdcatalog?sortBy="
   +http_url_encode(datapool_value(DP1, "sortBy_2"))+
   " HTTP/1.1\r\n"
   "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, applicatio"
   "n/vnd.ms-excel, application/msword, application/vnd.ms-powerpoint, */*\r"
   "\n"
   "Referer: http://" + webserver + "/cdshop/cdcatalog?sortBy=composition\r\n"
   "Accept-Language: en-us\r\n"
   "Accept-Encoding: gzip, deflate\r\n"
   "User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)\r\n"
   "Host: " + webserver + "\r\n"
   "Connection: Keep-Alive\r\n"
   "Cookie: sesessionid=GNRQQPQAAAAERLAVVNERMRI\r\n"
   "\r\n";

http_header_recv ["HTTP032"]  200;      /* OK */

#if 0
    "HTTP/1.1 200 ok\r\n"
    "Date: Tue, 21 Dec 1999 05:40:33 GMT\r\n"
    "Server: IBM_HTTP_Server/1.3.6 Apache/1.3.7-dev (Win32)\r\n"
    "Keep-Alive: timeout=15, max=95\r\n"
    "Connection: Keep-Alive\r\n"
    "Transfer-Encoding: chunked\r\n"
    "Content-Type: text/html\r\n"
    "\r\n"
#endif

http_nrecv ["HTTP033"]  3854;

http_nrecv ["HTTP034"]  100 %% ;        /* Last 4457 of 8311 bytes */
set Think_avg = 1001;           /* 1001 >= 500 (user think time delay) */

 /* Keep-Alive request over connection D1dy6j_2 */
http_request ["HTTP035"] 
   "GET /cdshop/cdcatalog?sortBy="
   +http_url_encode(datapool_value(DP1, "sortBy"))+
   " HTTP/1.1\r\n"
   "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, applicatio"
   "n/vnd.ms-excel, application/msword, application/vnd.ms-powerpoint, */*\r"
   "\n"
   "Referer: http://" + webserver + "/cdshop/cdcatalog?sortBy=composer\r\n"
   "Accept-Language: en-us\r\n"
   "Accept-Encoding: gzip, deflate\r\n"
   "User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)\r\n"
   "Host: " + webserver + "\r\n"
   "Connection: Keep-Alive\r\n"
   "Cookie: sesessionid=GNRQQPQAAAAERLAVVNERMRI\r\n"
   "\r\n";

http_header_recv ["HTTP036"]  200;      /* OK */

#if 0
    "HTTP/1.1 200 ok\r\n"
    "Date: Tue, 21 Dec 1999 05:40:36 GMT\r\n"
    "Server: IBM_HTTP_Server/1.3.6 Apache/1.3.7-dev (Win32)\r\n"
    "Keep-Alive: timeout=15, max=94\r\n"
    "Connection: Keep-Alive\r\n"
    "Transfer-Encoding: chunked\r\n"
    "Content-Type: text/html\r\n"
    "\r\n"
#endif

http_nrecv ["HTTP037"]  5206;

http_nrecv ["HTTP038"]  100 %% ;        /* Last 3105 of 8311 bytes */
set Think_avg = 801;            /* 801 >= 500 (user think time delay) */


 /* Keep-Alive request over connection D1dy6j_2 */
http_request ["HTTP039"] 
   "GET /cdshop/cdcatalog?sortBy="
   +http_url_encode(datapool_value(DP1, "sortBy_1"))+
   " HTTP/1.1\r\n"
   "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, applicatio"
   "n/vnd.ms-excel, application/msword, application/vnd.ms-powerpoint, */*\r"
   "\n"
   "Referer: http://" + webserver + "/cdshop/cdcatalog?sortBy=composition\r\n"
   "Accept-Language: en-us\r\n"
   "Accept-Encoding: gzip, deflate\r\n"
   "User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)\r\n"
   "Host: " + webserver + "\r\n"
   "Connection: Keep-Alive\r\n"
   "Cookie: sesessionid=GNRQQPQAAAAERLAVVNERMRI\r\n"
   "\r\n";

http_header_recv ["HTTP040"]  200;      /* OK */

#if 0
    "HTTP/1.1 200 ok\r\n"
    "Date: Tue, 21 Dec 1999 05:40:37 GMT\r\n"
    "Server: IBM_HTTP_Server/1.3.6 Apache/1.3.7-dev (Win32)\r\n"
    "Keep-Alive: timeout=15, max=93\r\n"
    "Connection: Keep-Alive\r\n"
    "Transfer-Encoding: chunked\r\n"
    "Content-Type: text/html\r\n"
    "\r\n"
#endif

http_nrecv ["HTTP041"]  3870;

http_nrecv ["HTTP042"]  100 %% ;        /* Last 4441 of 8311 bytes */
set Think_avg = 811;            /* 811 >= 500 (user think time delay) */

 /* Keep-Alive request over connection D1dy6j_2 */
http_request ["HTTP043"] 
   "GET /cdshop/cdcatalog?sortBy="
   +http_url_encode(datapool_value(DP1, "sortBy"))+
   " HTTP/1.1\r\n"
   "Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, applicatio"
   "n/vnd.ms-excel, application/msword, application/vnd.ms-powerpoint, */*\r"
   "\n"
   "Referer: http://" + webserver + "/cdshop/cdcatalog?sortBy=performer\r\n"
   "Accept-Language: en-us\r\n"
   "Accept-Encoding: gzip, deflate\r\n"
   "User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows NT)\r\n"
   "Host: " + webserver + "\r\n"
   "Connection: Keep-Alive\r\n"
   "Cookie: sesessionid=GNRQQPQAAAAERLAVVNERMRI\r\n"
   "\r\n";

http_header_recv ["HTTP044"]  200;      /* OK */

#if 0
    "HTTP/1.1 200 ok\r\n"
    "Date: Tue, 21 Dec 1999 05:40:39 GMT\r\n"
    "Server: IBM_HTTP_Server/1.3.6 Apache/1.3.7-dev (Win32)\r\n"
    "Keep-Alive: timeout=15, max=92\r\n"
    "Connection: Keep-Alive\r\n"
    "Transfer-Encoding: chunked\r\n"
    "Content-Type: text/html\r\n"
    "\r\n"
#endif

http_nrecv ["HTTP045"]  5224;

http_nrecv ["HTTP046"]  100 %% ;        /* Last 3087 of 8311 bytes */
set Think_avg = 1322;           /* 1322 >= 500 (user think time delay) */

http_disconnect(D1dy6j_2); 

pop Think_cpu_threshold;
pop [Think_def, Think_avg, Timeout_val, Timeout_scale];

pop Think_max;

pop Http_control;
}


DATAPOOL_CONFIG "PCO"   OVERRIDE DP_NOWRAP DP_SEQUENTIAL DP_SHARED
{
        EXCLUDE, "sortBy", "string", "composition";
        EXCLUDE, "sortBy_1", "string", "performer";
        EXCLUDE, "sortBy_2", "string", "composer";
}


