@REM Batch file to run the EJB Session Recorder
@REM Brian Bryson, BBryson@Rational.Com
@REM Vancouver, BC, Canada
@REM Original   : 07-May-01, Rainier, v2001A
@REM Last Update: 28-Sep-01, Olympus Mons, v2002

@Echo Off

	CLS
	REM Setup classpath and environment variables
	SET CP_EJBSR="%RATL_RTHOME%"\QualityArchitect\ejbsessionrecorder_ct.jar;"%RATL_RTHOME%"\QualityArchitect\jh.jar;"%RATL_RTHOME%"\QualityArchitect\collections.jar
	CALL UTL_SetEnv.BAT
		
@Echo On


@Echo Off
	Echo Launching EJB Session Recorder
	@REM Determine if installed to D: drive or C: Drive
	set RATL_RTHOME | find /c /i "C:" > nul
	if errorlevel 1 goto DDrive
	if errorlevel 0 goto CDrive

	:CDrive
	@REM Weblogic is installed on C:, switch to C: Drive
	C:
	goto StartEJBSR

	:DDrive
	@REM Weblogic is installed on D:, switch to D: Drive
	D:
	
	:StartEJBSR
	cd "%RATL_RTHOME%"\QualityArchitect
	%java_home%\bin\java -cp %CP_EJBSR%;%MYCLASSPATH% com.rational.test.ejbclient.EJBSessionRecorder providerurl=t3://localhost:7001 contextfactory=weblogic.jndi.WLInitialContextFactory

	C:
	cd C:\Classics\RQA Tests\RQA WebLogic Assets\Source

	
@Echo On
:End
