package com.rational.cdshop.ejb;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;
import java.rmi.RemoteException;
import java.util.Enumeration;

/**
 * This is a Home interface for the Entity Bean
 */
public interface CdHome extends EJBHome {


/**
 * create method for a CMP entity bean
 * @return com.rational.cdshop.ejb.Cd
 * @param argcd_dbid int
 * @exception javax.ejb.CreateException The exception description.
 * @exception java.rmi.RemoteException The exception description.
 */
com.rational.cdshop.ejb.Cd create(String argcd_dbid) throws javax.ejb.CreateException, java.rmi.RemoteException;

/**
 * findByPrimaryKey method comment
 * @return com.rational.cdshop.ejb.Cd
 * @param key com.rational.cdshop.ejb.CdKey
 * @exception java.rmi.RemoteException The exception description.
 * @exception javax.ejb.FinderException The exception description.
 */
com.rational.cdshop.ejb.Cd findByPrimaryKey(String key) throws FinderException, RemoteException;
java.util.Enumeration findAll() throws FinderException, RemoteException;
com.rational.cdshop.ejb.Cd findById(String key) throws FinderException, RemoteException;
com.rational.cdshop.ejb.Cd findByUPC(String upc) throws FinderException, RemoteException;
java.util.Enumeration findByComposer(String composer) throws FinderException, RemoteException;
java.util.Enumeration findByComposition(String composition) throws FinderException, RemoteException;
java.util.Enumeration findByPerformer(String performer) throws FinderException, RemoteException;

}