<%
   'OrderListing.asp
	dim facadeObject, orderRecordset, custID
	
	Sub InitFacadeObjects
	' This is a good place to initialize all facade objects.  Typically they are needed
	' first, since nearly all server side functionality is done via them

		custID = Request("custID")
		if len(custID) > 0 then
			set facadeObject = Server.CreateObject("CustomerFacades.fcdCheckOrderStatus")
			set orderRecordset = facadeObject.getOrders(cint(custID))
		else
			Response.Redirect("home.asp")
		end if
	End Sub

	'**************************************************
	' New Function to take advantage of the PandaEx WebService
	Private Function GetShipmentStatus(ByVal orderNumber)
		'call into the Check Order Status Facade
		GetShipmentStatus = facadeObject.getOrderStatus(cint(orderNumber))
	End Function
	'******************************************	

'--- Main Execution Sequence
call InitFacadeObjects


%>

<html>
<head>
<title>Your CD Orders</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="description"> 
</head>

<body bgcolor="#ffffff">

<table border="0" cellpadding="0" cellspacing="0" width="801">
  <tr> <!-- Shim row, height 1. --> 
    <td><img src="./images/shim.gif" width="35" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="160" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="23" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="219" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="317" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="27" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="20" height="1" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="1" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 1 --> 
    <td colspan="7"><img name="classics_r01_c1" src="./images/classics_r01_c1.gif" width="801" height="23" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="23" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 2 --> 
    <td rowspan="10"><img name="classics_r02_c1" src="./images/classics_r02_c1.gif" width="35" height="420" border="0"></td>
    <td rowspan="3" colspan="3"><a href="home.asp"><img name="subtitle" src="./images/subtitle.gif" width="402" height="68" border="0"></a></td>
    <td><img name="bartop" src="./images/bartop.gif" width="317" height="33" border="0"></td>
    <td rowspan="3" colspan="2"><img name="subtitle_bar_end" src="./images/subtitle_bar_end.gif" width="47" height="68" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="33" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 3 --> 
    <td background="./images/bar.gif" align="right" valign="middle"> 
      <div align="right"><font face="Arial, Helvetica, sans-serif"><b>CD Order 
        Summaries</b></font></div>
    </td>
    <td><img src="./images/shim.gif" width="1" height="29" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 4 --> 
    <td><img name="barbot" src="./images/barbot.gif" width="317" height="6" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="6" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 5 --> 
    <td rowspan="2"><a href="catalog.asp"><img name="but_catalog" src="./images/but_catalog.gif" width="160" height="43" border="0"></a></td>
    <td colspan="5"><img name="classics_r05_c3" src="./images/classics_r05_c3.gif" width="606" height="16" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="16" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 6 --> 
    <td rowspan="6"><img name="classics_r06_c3" src="./images/classics_r06_c3.gif" width="23" height="336" border="0"></td>
    <td rowspan="5" colspan="3"> 
      <table cellspacing='10' width="426">
		<tr> 
          <th align='left'>OrderID</th>
          <th align='left'># of Items</th>
          <th align='left'>Status</th>
        </tr>
		<% do until orderRecordset.EOF %>

				<tr>
					<td align='left'>
						<strong><%=orderRecordset("ID")%></strong>
					</td>
					<td align='center'><%=orderRecordset("CountofID")%></td>

	<!--	'******************************************	-->
					 			
	<!--	Comment out this section to disable the old status	-->
<!--	
			<%	if orderRecordset("State") = 0 then
			%>
				<td>Your order was shipped</td>
			<% ELSE
			%>
				<td align>Your order is being processed</td>
			<% end if
			%>
-->			
			<!--	end commenting out here	-->
			<!--	'******************************************	-->
	
			<!--	'******************************************	-->
			<!--	This is the new line to comment in to use the PandaEx WebService	-->
			<td><%=getShipmentStatus(orderRecordset("ID"))%></td>
			<!--	'******************************************	-->
				</tr>
				
			<% 
				orderRecordset.MoveNext
				loop
			%>
				  
		</table>
		</td>
    <td rowspan="6"><img name="classics_r06_c7" src="./images/classics_r06_c7.gif" width="20" height="336" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="27" border="0"></td>
  </tr>
  
  <tr valign="top"><!-- row 7 --> 
    <td><a href="showcart.asp"><img name="but_shopping" src="./images/but_shopping.gif" width="160" height="34" border="0"></a></td>
    <td><img src="./images/shim.gif" width="1" height="34" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 8 --> 
    <td><a href="login.asp"><img name="but_cashier" src="./images/but_cashier.gif" width="160" height="33" border="0"></a></td>
    <td><img src="./images/shim.gif" width="1" height="33" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 9 --> 
    <td><a href="orders.asp"><img name="but_order" src="./images/but_order.gif" width="160" height="34" border="0"></a></td>
    <td><img src="./images/shim.gif" width="1" height="34" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 10 --> 
    <td rowspan="2"><img name="classics_r10_c2" src="./images/classics_r10_c2.gif" width="160" height="464" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="188" border="0"></td>
  </tr>
  <tr valign="top"><!-- row 11 --> 
    <td colspan="3"><img name="classics_r11_c4" src="./images/classics_r11_c4.gif" width="563" height="20" border="0"></td>
    <td><img src="./images/shim.gif" width="1" height="20" border="0"></td>
  </tr>
</table>
<!--#include file="footer.asp"-->

</body>
</html>


