// warehouse.h : header file
//

#if !defined __warehouse_h_
#define __warehouse_h_

class Warehouse : public CObject
{
public:
	Warehouse();
	~Warehouse();

	CString	StockReorder(CString sku,CString mfgID);
	int 	StockUpdate(CString sku);
	void	SortList();
	void	SetSKU(CString sku);
	char	*GetSKU() { return m_sSKU; }
	char	*GetMfgID() { return m_sMfgID; }
	int		GetQuantity();
	int		OrderFromMfg(CString sku,CString mfgID,CString XMLbuff);
	CString	ThresholdCheck(CString sku,int quantity);

protected:
	char	*m_sSKU;
	char	*m_sMfgID;
	int		m_lQuantity;
	char	*m_XMLbuffer;
	int		XMLbufflen;

};

void sort (int[], int, int);

#endif 
