VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CustomerFetcher"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "RVB_UniqueId" ,"383202E0004C"
Attribute VB_Ext_KEY = "RVB_ModelStereotype" ,"Data Fetcher"
Option Explicit

'##ModelId=385682A50085
Public Function verifyUser(ByVal customerID As String, ByVal password As String) As Integer
    On Error GoTo verifyUserErr

        Dim currentConnection As ADODB.Connection
        Set currentConnection = CreateObject("ADODB.Connection")
        currentConnection.connectionString = connectionString
        Call currentConnection.Open
        
        Dim sqlCommand As ADODB.Command
        Set sqlCommand = CreateObject("ADODB.Command")
        sqlCommand.ActiveConnection = currentConnection
        sqlCommand.CommandText = "verifyCustomer"
        sqlCommand.CommandType = adCmdStoredProc
        sqlCommand.CommandTimeout = 15
        
        Dim sqlParameter As ADODB.Parameter
        Set sqlParameter = sqlCommand.CreateParameter("inpUserName", adVarChar, adParamInput, 20, customerID)
        sqlCommand.Parameters.Append sqlParameter
        Set sqlParameter = sqlCommand.CreateParameter("inpPassword", adVarChar, adParamInput, 20, password)
        sqlCommand.Parameters.Append sqlParameter
        
        Dim customerRecordsSet As ADODB.Recordset
        Set customerRecordsSet = sqlCommand.Execute()
        
        If customerRecordsSet.BOF And customerRecordsSet.EOF Then
            verifyUser = 0
        Else
            verifyUser = customerRecordsSet("ID")
        End If
    
    Exit Function
verifyUserErr:
    Call RaiseError(MyUnhandledError, "verifyUser Function")
End Function

Public Function getPaymentInfo(ByVal customerID As Integer) As Recordset
    On Error GoTo getPaymentInfoErr

        Dim currentConnection As ADODB.Connection
        Set currentConnection = CreateObject("ADODB.Connection")
        currentConnection.connectionString = connectionString
        Call currentConnection.Open
        
        Dim sqlCommand As ADODB.Command
        Set sqlCommand = CreateObject("ADODB.Command")
        sqlCommand.ActiveConnection = currentConnection
        sqlCommand.CommandText = "customerInfo"
        sqlCommand.CommandType = adCmdStoredProc
        sqlCommand.CommandTimeout = 15
        
        Dim sqlParameter As ADODB.Parameter
        Set sqlParameter = sqlCommand.CreateParameter("customerID", adInteger, adParamInput, , customerID)
        sqlCommand.Parameters.Append sqlParameter
        
        Set getPaymentInfo = sqlCommand.Execute()
    
    Exit Function
getPaymentInfoErr:
    Call RaiseError(MyUnhandledError, "getPaymentInfo Function")
End Function

'##ModelId=3841B22501C8
Public Function getList(ByVal strPattern As String) As Recordset
    On Error GoTo getListErr

    '## Your code goes here ...

    Exit Function
getListErr:
    Call RaiseError(MyUnhandledError, "getList Function")
End Function

'##ModelId=3841B284017E
Public Function getByID(intID As Integer) As Recordset
    On Error GoTo getByIDErr

    '## Your code goes here ...

    Exit Function
getByIDErr:
    Call RaiseError(MyUnhandledError, "getByID Function")
End Function

'##ModelId=3841B2D5001C
Public Function getEmptyRecordset() As Recordset
    On Error GoTo getEmptyRecordsetErr

    '## Your code goes here ...

    Exit Function
getEmptyRecordsetErr:
    Call RaiseError(MyUnhandledError, "getEmptyRecordset Function")
End Function

