CREATE TABLE "S_0"."ORDER_ITEM" (
	"ID" SMALLINT NOT NULL,
	"OrderID" SMALLINT,
	"UPC" SMALLINT,
	"Quantity" SMALLINT,
	CONSTRAINT "PK_ORDER_ITEM1" PRIMARY KEY ("ID")
	);
CREATE TABLE "S_0"."CUSTOMER" (
	"ID" SMALLINT NOT NULL,
	"Username" VARCHAR ( 20 ),
	"Password" VARCHAR ( 10 ),
	CONSTRAINT "PK_CUSTOMER3" PRIMARY KEY ("ID"),
	CONSTRAINT "TC_CUSTOMER3" UNIQUE ("Username")
	);
CREATE TABLE "S_0"."CD" (
	"UPC" SMALLINT NOT NULL,
	"Composer" VARCHAR ( 20 ),
	"Composition" VARCHAR ( 20 ),
	"Conductor" VARCHAR ( 20 ),
	"Performer" VARCHAR ( 20 ),
	"Description" VARCHAR ( 20 ),
	"Image" VARCHAR ( 20 ),
	"Price" REAL,
	"Code" REAL,
	CONSTRAINT "PK_CD0" PRIMARY KEY ("UPC"),
	CONSTRAINT "TC_CD0" UNIQUE ("UPC")
	);
CREATE TABLE "S_0"."ORDER" (
	"ID" SMALLINT NOT NULL,
	"CustomerID" SMALLINT,
	"State" VARCHAR ( 2 ),
	CONSTRAINT "PK_ORDER2" PRIMARY KEY ("ID"),
	CONSTRAINT "TC_ORDER2" UNIQUE ("ID")
	);
CREATE TABLE "S_0"."TAX" (
	"Code" SMALLINT NOT NULL,
	"Description" VARCHAR ( 20 ),
	"Rate" REAL,
	CONSTRAINT "PK_TAX4" PRIMARY KEY ("Code")
	);

