/*
      ->-> Session File Information <-<-
       Created: Tue Nov 28 09:13:11 2000
          Name: C:\Classics\PROJECTS\CLASSICS ONLINE\TESTDATASTORE\DEFAULTTESTSCRIPTDATASTORE\TMS_SESSIONS\LOGON-ORDERCD.wch
          Type: Rational Robot - API
*/

#include <VU.h>
{


{  /* Persistent variables needed by other scripts */
     persistent int ATBU_DSN;
                /* Introduced in .SLogon-SQL.s */
                /* Terminated in this script */
     persistent int stmt_2_1_id;
                /* Introduced in .SLogon-SQL.s */
                /* Terminated in this script */
     persistent int Min_tmout;
                /* Introduced in .SLogon-SQL.s */
                /* Terminated in .SOrder-SQL.s [by default] */
}



DP1 = datapool_open("Order-SQL");
datapool_fetch(DP1);
      

stmt_2_2_id=sqlalloc_cursor();
sqlcursor_setoption(stmt_2_2_id, ODBC_CURSOR_TYPE, ODBC_CURSOR_STATIC);

set Think_avg = 27279;          /* 27279 >= 500 (user think time delay) */

#if 0
PRODUCTS_COMPOSER=Bach
#endif

set Cursor_id = stmt_2_2_id;
sqlopen_cursor ["SQL2.005"] "", "SELECT * FROM PRODUCTS WHERE PRODUCTS.COMPOSER='"
     + datapool_value(DP1, "PRODUCTS_COMPOSER")+
     "' ";


set Think_avg = 250;            /* 250 < 500 (cpu processing delay) */

sqlfetch_cursor ["SQL2.006"] EXPECT_ROWS 3, stmt_2_2_id FETCH_FIRST, 3;
#if 0  /*****  RESPONSE DATA BEGINS  *****/
33822                                              Bach                 Brande
   nburg Concertos Nos. 1 & 3                   Wilhelm Storner               
                        Burlington Symphony Orchestra                      Ahh
   hh. Bach!                                                                  
                                                                              
                                                                              
                               BachBranden.jpg                16.990000 
66199                                              Bach                 Select
   ed Fugues                                    None                          
                        Stephen Tole                                       Ste
   phen Tole\'s classic recording of the greatest organ pieces ever.          
                                                                              
                                                                              
                                BachFugue.jpg                  15.950000 
77288                                              Bach                 Violin
    Concertos                                   Torrence Spangler             
                        Bulington Chamber Orchestra                        The
    Burlington Chamber Orchestra performs brilliantly under Torrence Spangler 
                                                                              
                                                                              
                               BachConcerto.jpg               14.990000 
#endif /*****  RESPONSE DATA ENDS    *****/


sqlfree_cursor( stmt_2_2_id );


stmt_2_2_id=sqlalloc_cursor();
sqlcursor_setoption(stmt_2_2_id, ODBC_CURSOR_TYPE, ODBC_CURSOR_STATIC);

set Think_avg = 20;             /* 20 < 500 (cpu processing delay) */

#if 0
PRODID=33822
#endif

set Cursor_id = stmt_2_2_id;
sqlopen_cursor ["SQL2.007"] "", "select * from products where PRODID = "
     + datapool_value(DP1, "PRODID")+
     " ";


set Think_avg = 50;             /* 50 < 500 (cpu processing delay) */

sqlfetch_cursor ["SQL2.008"] EXPECT_ROWS 1, stmt_2_2_id FETCH_FIRST, 1;
#if 0  /*****  RESPONSE DATA BEGINS  *****/
33822                                              Bach                 Brande
   nburg Concertos Nos. 1 & 3                   Wilhelm Storner               
                        Burlington Symphony Orchestra                      Ahh
   hh. Bach!                                                                  
                                                                              
                                                                              
                               BachBranden.jpg                16.990000 
#endif /*****  RESPONSE DATA ENDS    *****/


stmt_2_3_id=sqlalloc_cursor();
sqlcursor_setoption(stmt_2_3_id, ODBC_CURSOR_TYPE, ODBC_CURSOR_STATIC);

set Think_avg = 1322;           /* 1322 >= 500 (user think time delay) */

#if 0
PRODID=33822
#endif

set Cursor_id = stmt_2_3_id;
sqlopen_cursor ["SQL2.009"] "", "select * from products where PRODID = "
     + datapool_value(DP1, "PRODID")+
     " ";


set Think_avg = 60;             /* 60 < 500 (cpu processing delay) */

sqlfetch_cursor ["SQL2.010"] EXPECT_ROWS 1, stmt_2_3_id FETCH_FIRST, 1;
#if 0  /*****  RESPONSE DATA BEGINS  *****/
33822                                              Bach                 Brande
   nburg Concertos Nos. 1 & 3                   Wilhelm Storner               
                        Burlington Symphony Orchestra                      Ahh
   hh. Bach!                                                                  
                                                                              
                                                                              
                               BachBranden.jpg                16.990000 
#endif /*****  RESPONSE DATA ENDS    *****/


sqlfree_cursor( stmt_2_2_id );


stmt_2_2_id=sqlalloc_cursor();
sqlcursor_setoption(stmt_2_2_id, ODBC_CURSOR_TYPE, ODBC_CURSOR_STATIC);

set Think_avg = 451;            /* 451 < 500 (cpu processing delay) */

#if 0
CUSTID=1
#endif

set Cursor_id = stmt_2_2_id;
sqlopen_cursor ["SQL2.011"] "", "SELECT * FROM CUSTOMERS WHERE CUSTID="
     + datapool_value(DP1, "CUSTID")+
     " ";


set Think_avg = 40;             /* 40 < 500 (cpu processing delay) */

sqlfetch_cursor ["SQL2.012"] EXPECT_ROWS 1, stmt_2_2_id FETCH_FIRST, 1;
#if 0  /*****  RESPONSE DATA BEGINS  *****/
1                                                  Fred Thomas                
                           1 Main St                                          
   Albany, NY 12345                                   518-555-1231            
                              
#endif /*****  RESPONSE DATA ENDS    *****/


sqlfree_cursor( stmt_2_2_id );


stmt_2_2_id=sqlalloc_cursor();
sqlcursor_setoption(stmt_2_2_id, ODBC_CURSOR_TYPE, ODBC_CURSOR_STATIC);

set Think_avg = 13820;          /* 13820 >= 500 (user think time delay) */

set Cursor_id = stmt_2_2_id;
sqlopen_cursor ["SQL2.013"] "", "SELECT MAX(ORDERID) FROM ORDERS";


set Think_avg = 250;            /* 250 < 500 (cpu processing delay) */

sqlfetch_cursor ["SQL2.014"] EXPECT_ROWS 1, stmt_2_2_id FETCH_FIRST, 1;
#if 0  /*****  RESPONSE DATA BEGINS  *****/
27 
#endif /*****  RESPONSE DATA ENDS    *****/

set Think_avg = 10;             /* 10 < 500 (cpu processing delay) */

#if 0
ORDERID=28
CUSTID=1
ORDERDATE=11/28/00
CARDTYPE=Visa
CARDNUMB=123456789
EXPDATE=9/02
PRODID=33822
QUANTITY=2
TOTAL=37.98
STATUS=Order Initiated
#endif

set Cursor_id = 0;
stmt_2_4_id = sqldeclare_cursor["SQL2.015"] "", "INSERT INTO ORDERS "
     "(ORDERID,CUSTID,ORDERDATE,CARDTYPE,CARDNUMB,EXPDATE,PRODID,QUANTITY,"
     "TOTAL,STATUS) VALUES ("
     + datapool_value(DP1, "ORDERID")+
     " ,"
     + datapool_value(DP1, "CUSTID")+
     " ,'"
     + datapool_value(DP1, "ORDERDATE")+
     "' ,'"
     + datapool_value(DP1, "CARDTYPE")+
     "' ,'"
     + datapool_value(DP1, "CARDNUMB")+
     "' ,'"
     + datapool_value(DP1, "EXPDATE")+
     "' , "
     + datapool_value(DP1, "PRODID")+
     " , "
     + datapool_value(DP1, "QUANTITY")+
     " , "
     + datapool_value(DP1, "TOTAL")+
     " ,'"
     + datapool_value(DP1, "STATUS")+
     "' )";


/* Start_Block "Order" */

set Think_avg = 100;            /* 100 < 500 (cpu processing delay) */

sqlopen_cursor ["Order004"] stmt_2_4_id;


start_time ["Order"] _fs_ts;


sqlfree_cursor( stmt_2_4_id );


sqlfree_cursor( stmt_2_2_id );

stop_time ["Order"]; /* Stop_Block */


sqlfree_cursor( stmt_2_3_id );


sqlfree_cursor( stmt_2_1_id );


sqldisconnect(ATBU_DSN);

}

DATAPOOL_CONFIG "Order-SQL"  DP_SEQUENTIAL DP_SHARED DP_NOWRAP
{
        EXCLUDE, "CARDNUMB", "string", "123456789";
        EXCLUDE, "CARDTYPE", "string", "Visa";
        EXCLUDE, "CUSTID", "string", "1";
        EXCLUDE, "EXPDATE", "string", "9/02";
        INCLUDE, "ORDERDATE", "string", "11/28/00";
        EXCLUDE, "ORDERID", "string", "28";
        EXCLUDE, "PRODID", "string", "33822";
        EXCLUDE, "PRODUCTS_COMPOSER", "string", "Bach";
        INCLUDE, "QUANTITY", "string", "2";
        EXCLUDE, "STATUS", "string", "Order Initiated";
        EXCLUDE, "TOTAL", "string", "37.98";
}
