@REM Batch file to launch Cloudscape database utility Cloudview
@REM Brian Bryson, BBryson@Rational.Com
@REM Vancouver, BC, Canada
@REM Original   : 07-May-01, Rainier, v2001A
@REM Updated	: 25-Sep-01, Olympus Mons, v2002
@REM Last Update: 10-Jan-03, McKinley, v2003

@Echo Off

	CLS
	REM Setup classpath and environment variables
	CALL UTL_SetEnv.BAT

@Echo On

@Echo Off
	Echo Starting Cloudview...
	@REM Determine if installed to D: drive or C: Drive
	set WL_HOME | find /c /i "C:" > nul
	if errorlevel 1 goto DDrive
	if errorlevel 0 goto CDrive

	:CDrive
	@REM Weblogic is installed on C:, switch to C: Drive
	C:
	goto StartCView

	:DDrive
	@REM Weblogic is installed on D:, switch to D: Drive
	D:
	
	:StartCView
	cd "%WL_HOME%"\user_projects\ClassicsJ2EE\samples\eval\cloudscape\lib
	%java_home%\bin\java -classpath %WL_HOME%\user_projects\ClassicsJ2EE\samples\eval\cloudscape\lib\tools.jar;%WL_HOME%\user_projects\ClassicsJ2EE\samples\eval\cloudscape\lib\cloudscape.jar;%WL_HOME%\user_projects\ClassicsJ2EE\samples\eval\cloudscape\lib\client.jar;%MYCLASSPATH% -Dcloudscape.system.home=%WL_HOME%\user_projects\ClassicsJ2EE\samples\eval\cloudscape\data COM.cloudscape.tools.cview 
	C:
	cd C:\Classics\RQA Tests\RQA WebLogic Assets\Source
	Echo Cloudview closed.	
@Echo On

:END

