package com.rational.cdshop.ejb;

import java.rmi.RemoteException;
import java.security.Identity;
import java.util.Properties;
import javax.ejb.*;
import javax.naming.*;

/**
 * This is a Session Bean Class
 */
public class AuthenticationBean implements SessionBean {
	private javax.ejb.SessionContext mySessionCtx = null;
	final static long serialVersionUID = 3206093459760846163L;
	public boolean addUser(String user, String password) throws RemoteException
	{
		return true;
	}
/**
 * ejbActivate method comment
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbActivate() throws java.rmi.RemoteException {}
/**
 * ejbCreate method comment
 * @exception javax.ejb.CreateException The exception description.
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbCreate() throws javax.ejb.CreateException, java.rmi.RemoteException {}
/**
 * ejbPassivate method comment
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbPassivate() throws java.rmi.RemoteException {}
/**
 * ejbRemove method comment
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbRemove() throws java.rmi.RemoteException {}
private Context getInitialContext() throws NamingException {
	
	Properties p = new Properties();

	p.setProperty(Context.PROVIDER_URL,"t3://localhost:7001/");
	p.setProperty(Context.INITIAL_CONTEXT_FACTORY,"weblogic.jndi.WLInitialContextFactory");
		
	return new InitialContext(p);
		
}
/**
 * getSessionContext method comment
 * @return javax.ejb.SessionContext
 */
public javax.ejb.SessionContext getSessionContext() {
	return mySessionCtx;
}
	public boolean removeUser(String user) throws RemoteException
	{
		return true;
	}
/**
 * setSessionContext method comment
 * @param ctx javax.ejb.SessionContext
 * @exception java.rmi.RemoteException The exception description.
 */
public void setSessionContext(javax.ejb.SessionContext ctx) throws java.rmi.RemoteException {
	mySessionCtx = ctx;
}
	public boolean validateUser(String user, String password) throws RemoteException
	{
		try {
			Context ctx = getInitialContext();
			CustomerHelperHome custHelpHome = (CustomerHelperHome) ctx.lookup("CustomerHelper");
			CustomerHelper custHelper = (CustomerHelper) javax.rmi.PortableRemoteObject.narrow(custHelpHome.create(), com.rational.cdshop.ejb.CustomerHelper.class);

			System.out.print ("Authentication: custHelper.doesExist:" + user);
			boolean result = custHelper.doesExist(user);
			System.out.println (" - returns: " + result);
	
			if (result == true) {
				CustomerHome custHome = (CustomerHome) ctx.lookup("Customer");
				Customer customer = (Customer) javax.rmi.PortableRemoteObject.narrow(custHome.findByCustomerId(user), com.rational.cdshop.ejb.Customer.class);

				String custPassword = customer.getPassword();

				if (password.equals(custPassword)) {
					return true;
				}
				else {
					return false;
				}
				
			}
			else {
				return false;
			}
			
		} catch (Exception e) {
			// System.out.println ("Authentication: Processing exception code.");
			// System.out.println(e.getLocalizedMessage());
			// e.printStackTrace();
		}
		return true;
	}
}