package com.rational.cdshop.ejb;

import java.rmi.RemoteException;
import java.security.Identity;
import java.util.Properties;
import javax.ejb.*;
import javax.naming.*;

/**
 * This is a Session Bean Class
 */
public class CustomerHelperBean implements SessionBean {
	private javax.ejb.SessionContext mySessionCtx = null;
	final static long serialVersionUID = 3206093459760846163L;
public boolean addUser(String userId, String password) throws RemoteException {
	return true;
}
public boolean removeUser(String userId) throws RemoteException {
	return true;
}
public boolean doesExist(String userId) throws java.rmi.RemoteException {

	boolean result = true;
	try {
		Context ctx = getInitialContext();
		CustomerHome home = (CustomerHome) ctx.lookup("Customer");
		Customer customer = (Customer) javax.rmi.PortableRemoteObject.narrow(home.findByCustomerId(userId), com.rational.cdshop.ejb.Customer.class);

		if (customer != null) { result = false; }
		else { result = true; }
		
		
	}
	catch (Exception e)
	{
		//System.out.println("CH1: Error caught in CH1");
		//System.out.println(e.getLocalizedMessage());
		//e.printStackTrace();
		result = true;
	}
	return result;
}
/**
 * ejbActivate method comment
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbActivate() throws java.rmi.RemoteException {}
/**
 * ejbCreate method comment
 * @exception javax.ejb.CreateException The exception description.
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbCreate() throws javax.ejb.CreateException, java.rmi.RemoteException {}
/**
 * ejbPassivate method comment
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbPassivate() throws java.rmi.RemoteException {}
/**
 * ejbRemove method comment
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbRemove() throws java.rmi.RemoteException {}
private Context getInitialContext() throws NamingException {
	
	Properties p = new Properties();

	p.setProperty(Context.PROVIDER_URL,"t3://localhost:7001/");
	p.setProperty(Context.INITIAL_CONTEXT_FACTORY,"weblogic.jndi.WLInitialContextFactory");
	
	return new InitialContext(p);
		
}
/**
 * getSessionContext method comment
 * @return javax.ejb.SessionContext
 */
public javax.ejb.SessionContext getSessionContext() {
	return mySessionCtx;
}
/**
 * setSessionContext method comment
 * @param ctx javax.ejb.SessionContext
 * @exception java.rmi.RemoteException The exception description.
 */
public void setSessionContext(javax.ejb.SessionContext ctx) throws java.rmi.RemoteException {
	mySessionCtx = ctx;
}
}